import greenfoot.*;  // (World, Actor, GreenfootImage, and Greenfoot)

/**
 * The Runner is what is used to help start the game by using
 * the keyboard.
 * 
 * @author Shondel Archer 
 * @version 1.0
 */

public class Runner extends Actor
{
    boolean started = false;
    
    public Runner()
    {
        
    }

    public void act()
    {
        if (!started && Greenfoot.isKeyDown("p") )
        {
            MoleWorld myWorld = (MoleWorld)getWorld();
            myWorld.startGame();
            started=true;
            myWorld.removeObject(this);
        }
    }
}